summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2019-05-14 10:20:34 +0200
committerManuel Rüger <mrueg@gentoo.org>2019-05-14 10:20:34 +0200
commit0a3cf635006baab1f3e7d63ef3e7ca5f78ee4600 (patch)
tree68b0b6ed19b72bfe01ca9efd0ada6c6f48520d97 /net-misc/cni-plugins/cni-plugins-0.8.0.ebuild
parentsys-apps/yarn: Version bump to 1.16.0 (diff)
downloadgentoo-0a3cf635006baab1f3e7d63ef3e7ca5f78ee4600.tar.gz
gentoo-0a3cf635006baab1f3e7d63ef3e7ca5f78ee4600.tar.bz2
gentoo-0a3cf635006baab1f3e7d63ef3e7ca5f78ee4600.zip
net-misc/cni-plugins: Version bump to 0.8.0
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Manuel Rüger <mrueg@gentoo.org>
Diffstat (limited to 'net-misc/cni-plugins/cni-plugins-0.8.0.ebuild')
-rw-r--r--net-misc/cni-plugins/cni-plugins-0.8.0.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/net-misc/cni-plugins/cni-plugins-0.8.0.ebuild b/net-misc/cni-plugins/cni-plugins-0.8.0.ebuild
new file mode 100644
index 00000000000..c8c1659634b
--- /dev/null
+++ b/net-misc/cni-plugins/cni-plugins-0.8.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+DESCRIPTION="Standard networking plugins for container networking"
+EGO_PN="github.com/containernetworking/plugins"
+HOMEPAGE="https://github.com/containernetworking/plugins"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened"
+
+src_compile() {
+ pushd src || die
+ local i
+ for i in plugins/{meta/{bandwidth,firewall,flannel,portmap,sbr,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local,static},sample}; do
+ CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" GOPATH="${WORKDIR}/${P}" go install -v "${EGO_PN}/${i}" || die
+ done
+ popd || die
+}
+
+src_install() {
+ exeinto /opt/cni/bin
+ doexe bin/*
+ pushd src/${EGO_PN} || die
+ dodoc README.md
+ local i
+ for i in plugins/{meta/{bandwidth,firewall,flannel,portmap,sbr,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local,static},sample}; do
+ newdoc README.md ${i##*/}.README.md
+ done
+ popd || die
+}